<template>
  <div class="home">
    
    <p v-if="!data || loading">Cargando listado</p>

    <p v-else-if="error">Ha ocurrido un error al cargar los datos</p>

    <ul v-else>

      <li v-for="item in data" :key="item">
        <router-link :to="`/${item.id}`">
          <img :src="item.file" />
          <div class="content">
            <b>{{item.nombre}}</b>
            <p>{{item.color}}</p>
          </div>
        </router-link>
      </li>
    </ul>

  </div>
</template>

<script setup>
import { ref, onMounted } from 'vue'

let data = ref([])
let error = false
let loading = false

const fetchData = async () => {

  error = false
  loading = true

  try {

    let resp = await( await fetch("http://localhost/pruebaTecnicaAnaMariaCuevas/backend/public/index.php/api/perro")).json()

    data.value = resp

  } catch(e) {

    error = e
  }

  loading = false
}

onMounted(() => {
  fetchData()
})
</script>

<style lang="scss">
.home {
  ul {
    list-style: none;
    padding: 0px;
    margin: 0px;
    li {
      margin-bottom: 10px;
      a {
        text-decoration: none;
        display: flex;
        align-items: center;
        padding: 20px;
        border-radius: 10px;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1), 0 1px 3px rgba(0, 0, 0, 0.1);
        background-color: white;
        img {
          width: 100px;
          height: 100px;
          object-fit: cover;
        }
        .content {
          display: flex;
          flex-flow: column;
          margin-left: 20px;
          b {
            margin: 0px;
            display: block;
            font-size: 1.5rem;
            font-weight: 900;
            text-transform: capitalize;
          }
        }
      }
      
    }
  }
}
</style>

